Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.client
Class CIMDefaultProperties

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.ListResourceBundle
                  |
                  +--com.sun.wbem.client.CIMDefaultProperties

public final class CIMDefaultProperties
extends java.util.ListResourceBundle

The CIMDefaultProperties class is a set of properties for configuring default values in service modules and their factory classes. That is, the properties defined in this class select default configuration options from the set of defined properties from the CIMStaticProperties class, including the default implementation for most service modules.

Typically, one or more implementation classes will be included in a vendor's product for each service, including the transport service, security service, and audit service. The service implementation classes and the range of their configuration options are set in the CIMStaticProperties class. Properties in the CIMDefaultProperties class select the default implementations and configurations. These defaults can be explicitly overridden by properties in the WbemDefaults.properties file.

Since:
  WBEM 2.4

Constructor Summary
`CIMDefaultProperties()`

Method Summary
`java.lang.Object[][]` | `getContents()`

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CIMDefaultProperties

    public CIMDefaultProperties()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD